import { r as registerInstance, h, H as Host } from './index-419dc51e.js';
import './index-f12e34f3.js';
import { r as runState, h as href } from './runStore-85be762c.js';

const Welcome = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    const styles = {
      fontFamily: "Tahoma",
      display: "flex",
      justifyContent: "center",
    };
    return (h(Host, null, h("div", { class: "app", style: styles }, h("div", null, h("h1", null, "Welcome to corejam"), h("div", null, h("h3", null, "Components"), h("ul", null, runState.routes.map((route) => {
      if (route.url.includes("component"))
        return (h("li", null, h("a", Object.assign({}, href(route.url, runState.router)), route.component)));
    }))), h("div", null, runState.routes.length > 0 && h("h3", null, "Routes"), h("ul", null, runState.routes.map((route) => {
      if (!route.url.includes("component"))
        return (h("li", null, h("a", Object.assign({}, href(route.url, runState.router)), route.component)));
    }))), h("div", null, runState.plugins.length > 0 && h("h3", null, "Plugins"), h("ul", null, runState.plugins.map((plugin) => {
      return (h("div", null, h("h4", null, plugin.name), h("h5", null, "Routes"), h("ul", null, plugin.router.routes.map((route) => {
        return (h("li", null, h("a", Object.assign({}, href(route.url, runState.router)), route.component)));
      }))));
    })))))));
  }
};

export { Welcome as corejam_dev_welcome };
